package com.TicketManagement;
/**
 * flight class represents fields related to flights
 *
 * @author Mohammad Kazemi
 */
public class Flight {
    private String date;
    private String destination;
    private String company;
    private int ID;
    private String source;
    private Airplane model;

    public Flight(String date,int ID,String destination,String source,String company,Airplane model){
        this.date=date;
        this.source=source;
        this.company=company;
        this.destination=destination;
        this.ID=ID;
        this.model=model;
    }

    /**
     *
     * @return flight id
     */
    public int getID() {
        return ID;
    }

    /**
     *
     * @return initial point of travel
     */
    public String getSource() {
        return source;
    }

    /**
     *
     * @return airline
     */
    public String getCompany() {
        return company;
    }

    /**
     *
     * @return model of airplane
     */
    public Airplane getModel(){return model;}

    /**
     *
     * @return flight date
     */
    public String getDate() {
        return date;
    }

    /**
     *
     * @return travel destination
     */
    public String getDestination() {
        return destination;
    }
}

