package com.TicketManagement;

import java.util.ArrayList;
/**
 * this class is our passenger's class
 *
 * @author Mohammad Kazemi
 */
public class Passenger {
    private String name,lastname;
    private int ID;
    private ArrayList<Ticket> tickets;

    public Passenger(String name,String lastname,int ID){
        this.name=name;
        this.ID=ID;
        this.lastname=lastname;
        tickets= new ArrayList<Ticket>();
    }

    /**
     * this method adds to to list of passenger ticket tickets
     * @param ticket
     */
    public void addTicket(Ticket ticket){
        tickets.add(ticket);
    }

    /**
     *
     * @return list of passenger ticket
     */
    public ArrayList<Ticket> getTickets() {
        return tickets;
    }

    /**
     *
     * @return passenger id
     */
    public int getID() {
        return ID;
    }

    /**
     *
     * @return passenger name
     */
    public String getName() {
        return name;
    }

    /**
     *
     * @return passenger lastname
     */
    public String getLastname() {
        return lastname;
    }
}
