package com.TicketManagement;
/**
 * this class is for simulating a ticket and some related parameters
 *
 * @author Mohammad Kazemi
 */
public class Ticket {
    private int seatNumber;
    private int flightNumber;
    private int cargo;
    private boolean food;

    public Ticket(int seatNumber,int flightNumber,int cargo){
        this.flightNumber=flightNumber;
        this.seatNumber=seatNumber;
        this.cargo=cargo;
    }

    /**
     * this method determines whether or not we want a ticket for food
     * @param food
     */
    public void food(boolean food){this.food=food;}

    /**
     * this method shows the amount of load
     * @return amount of load(cargo)
     */
    public int getCargo() {
        return cargo;
    }
    /**
     * this method is determine whether a ticket has a food
     * @return true or false
     */
    public boolean getFood() {
        return food;
    }

    /**
     *
     * @return flightNumber
     */
    public int getFlightnumber() {
        return flightNumber;
    }

    /**
     *
     * @return seatNumber
     */
    public int getSeatnumber() {
        return seatNumber;
    }
}
