package com.TicketManagement;

import java.util.ArrayList;
/**
 * this class indicates a seat and it's features for us
 *
 * @author Mohammad Kazemi
 */
public class Seat {
    private int ID;
    private String type;
    private Passenger user;
    public Seat(int ID,String type){
        this.type=type;
        this.ID=ID;
    }

    /**
     *
     * @return id of seat
     */
    public int getID() {
        return ID;
    }

    /**
     *
     * @return type of seat
     */
    public String getType() {
        return type;
    }

    /**
     *this method determines that this passenger will sit on this seat
     * @param passenger
     */
    public void setUser(Passenger passenger){
        user=passenger;
    }

    /**
     *
     * @return a passenger sitting on the seat
     */
    public Passenger getUser(){
        return user;
    }
}
